﻿<Window x:Class="TasksTracker.EditElement"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:avalon="http://schemas.AvalonControls/AvalonControlsLibrary/Controls"
        xmlns:TasksTracker="clr-namespace:TasksTracker"
        Title="Task edition" Height="200" Width="300"
        WindowStartupLocation="CenterOwner">
    <Window.Resources>
        <Style x:Key="GadgetStyle" TargetType="{x:Type TasksTracker:EditElement}">

            <Setter Property="Template">
                <Setter.Value>
                    <ControlTemplate TargetType="{x:Type TasksTracker:EditElement}">
                        <Border BorderThickness="0" BorderBrush="LightGray">
                            <DockPanel Margin="10">
                                <Grid DockPanel.Dock="Top">
                                    <StackPanel Orientation="Horizontal"  HorizontalAlignment="Left">
                                        <Image Source="/Images\clock.ico" Width="24" VerticalAlignment="Center" SnapsToDevicePixels="True" />
                                        <TextBlock Text="{Binding RelativeSource={RelativeSource TemplatedParent}, Path=Title}"  Foreground="Black" FontFamily="Segoe UI" FontSize="18" Margin="5 0 0 5"/>
                                    </StackPanel>
                                </Grid>
                                <ContentPresenter Content="{TemplateBinding Content}" DockPanel.Dock="Bottom"/>
                            </DockPanel>
                        </Border>
                    </ControlTemplate>
                </Setter.Value>
            </Setter>
        </Style>
    </Window.Resources>
    <DockPanel>
        <Button DockPanel.Dock="Bottom" Name="addEditBTN" Content="Add/Edit" Click="OnAddEditClick" VerticalAlignment="Center" Margin="5" HorizontalAlignment="Right" Padding="5 2"/>

        <Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="100"/>
                <ColumnDefinition/>
            </Grid.ColumnDefinitions>
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
                <RowDefinition Height="Auto"/>
            </Grid.RowDefinitions>

            <Label Content="Name" VerticalAlignment="Center"/>
            <TextBox Name="NameTB" Grid.Column="1" VerticalAlignment="Center" Margin="5"/>

            <Label Content="Time" Grid.Row="1" VerticalAlignment="Center"/>
            <avalon:TimePicker Name="timePickerTP" Grid.Row="1" Grid.Column="1" VerticalAlignment="Center" Margin="0 5" HorizontalAlignment="Left" />

            <Label Content="Link" VerticalAlignment="Center" Grid.Row="2"/>
            <TextBox Name="LinkTB" Grid.Column="1" VerticalAlignment="Center" Margin="5" Grid.Row="2"/>
        
        </Grid>
    </DockPanel>
</Window>
